]> git.sur5r.net Git - bacula/bacula/commitdiff
Add new restore2 by file test
authorKern Sibbald <kern@sibbald.com>
Mon, 6 Oct 2003 14:23:35 +0000 (14:23 +0000)
committerKern Sibbald <kern@sibbald.com>
Mon, 6 Oct 2003 14:23:35 +0000 (14:23 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@732 91ce42f0-d328-0410-95d8-f526ca767f89

regress/all-non-root-tests
regress/scripts/cleanup
regress/scripts/flist [new file with mode: 0644]
regress/tests/restore2-by-file-test [new file with mode: 0755]

index 2b2c48d34ebd4804382fd0aefd4355ec5cc19306..b673c81542fe8f87f085c8205b31ac5749862d84 100755 (executable)
@@ -21,6 +21,7 @@ tests/bextract-test
 tests/recycle-test
 tests/span-vol-test
 tests/restore-by-file-test
+tests/restore2-by-file-test
 echo " "
 echo " "
 echo "Test results"
index 8bd83657e558507d08c9b3352a151233f4fd20d9..664066a34dd9428c4cd866382fdfd696d8453f20 100755 (executable)
@@ -6,4 +6,4 @@ rm -rf /tmp/TestVolume001 /tmp/bacula-restores /tmp/Small*
 rm -rf tmp/original tmp/bacula-restores tmp/Small* tmp/TestVolume*
 rm -rf tmp/restored tmp/largefile tmp/bscan.bsr tmp/log*.out
 rm -rf /tmp/sed_tmp /tmp/file-list
-rm -rf tmp/build tmp/restore-list
+rm -rf tmp/build tmp/restore-list tmp/restore2-list
diff --git a/regress/scripts/flist b/regress/scripts/flist
new file mode 100644 (file)
index 0000000..8466a4d
--- /dev/null
@@ -0,0 +1,16 @@
+/build/doc/bacula.pdf
+/build/configure
+/build/src/stored/bextract
+/build/src/tools/testfind
+/build/Makefile.in
+/build/src/dird/bacula-dir
+/build/src/console/console
+/build/src/filed/bacula-fd
+/build/src/findlib/find_one.c
+/build/src/jcr.h
+/build/platforms/Makefile.in
+/build/platforms/redhat/Makefile.in
+/build/scripts/Makefile.in
+/build/src/filed/win32/bin/cygwin1.dll
+/build/src/filed/win32/winservice.cpp
+/build/src/filed/restore.c
diff --git a/regress/tests/restore2-by-file-test b/regress/tests/restore2-by-file-test
new file mode 100755 (executable)
index 0000000..0b39d0a
--- /dev/null
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory using the compressed option
+#   then restore a few selected files.
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/build" >/tmp/file-list
+sed s%\^%${cwd}% ${cwd}/scripts/flist >>${cwd}/tmp/restore2-list
+bin/bacula stop  2>&1 >/dev/null
+bin/drop_sqlite_tables
+bin/make_sqlite_tables
+
+echo " "
+echo " "
+echo " === Starting restore2-by-file-test ==="
+echo " === Starting restore2-by-file-test ===" >>working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@output tmp/log1.out
+label storage=File volume=TestVolume001
+run job=CompressedTest yes
+wait
+messages
+@# 
+@# now do a restore
+@#
+@output tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores
+7
+<${cwd}/tmp/restore2-list
+
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+bin/bacula stop 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+dstat=0
+for i in `cat ${cwd}/tmp/restore2-list`; do  
+   diff $i ${cwd}/tmp/bacula-restores$i
+   if [ $? != 0 ] ; then
+      dstat=1
+   fi
+done
+if [ $dstat != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! restore2-by-file-test Bacula source failed!!! !!!!! "
+   echo "  !!!!! restore2-by-file-test failed!!! !!!!! " >>test.out
+   echo " "
+   echo "Backup term status  = $bstat"
+   echo "Restore term status = $rstat"
+   echo "Diff status         = $dstat"
+   echo " "
+else
+   echo "  ===== restore2-by-file-test Bacula source OK ===== "
+   echo "  ===== restore2-by-file-test OK ===== " >>test.out
+   scripts/cleanup
+fi